//Algorithm for calculating perimeter and area
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <stdlib.h>  //BIBLIOTECA DONDE ESTA EL VALOR ABSOLUTO
#include <math.h>  
using namespace std;
//Exercise 19
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
int main() {
	
	Run();
	return 0;
	}
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/	
	double X1 = 0;
	double Y1 = 0;
	double X2 = 0;
	double Y2 = 0;
	double X3 = 0;
	double Y3 = 0;
	double perimetro = 0 ;
	double area = 0;
/********************************************************************************************************
												FUNCTION DEFINITION
**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//======================================================================================================================================================================================
void CollectData(){
	cout<<"Ingrese la coordenada en X del punto 1: " <<endl;
	cin>> X1;
	cout<<"Ingrese la coordenada en Y del punto 1: " <<endl;
	cin>> Y1;
	cout<<"Ingrese la coordenada en X del punto 2: " <<endl;
	cin>> X2;
	cout<<"Ingrese la coordenada en Y del punto 2: " <<endl;
	cin>> Y2;
	cout<<"Ingrese la coordenada en X del punto 3: " <<endl;
	cin>> X3;
	cout<<"Ingrese la coordenada en Y del punto 3: " <<endl;
	cin>> Y3;
}
//===================================================================================================================================================================================
void Calculate() {
	perimetro = sqrt( pow((X3-X1),2) + pow((Y3-Y1),2) ) + sqrt( pow((X3-X2),2) + pow((Y3-Y2),2) ) + sqrt( pow((X2-X1),2) + pow((Y2-Y1),2) );
	area = (abs((X1 * (Y2 - Y3)) +  (X2 * (Y3 - Y1))  +    (X3 * (Y1 - Y2)) ))/2;   
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<"El Perimetro del triangulo es: "<<perimetro<<endl;
	cout<<"El Area del triangulo es: "<<area;
}
